Bug 165627 - gcc fails to generate control flow graph when using the dump option -dv
Summary: gcc fails to generate control flow graph when using the dump option -dv
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-10 22:05 UTC by skyhover
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 21:52:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the same code as above. (268 bytes, application/octet-stream)
2005-08-10 22:09 UTC, skyhover
no flags Details

Description skyhover 2005-08-10 22:05:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.11) Gecko/20050729

Description of problem:
for some files, the command `gcc -dCv file.c` or `gcc -drv file.c` will lead to "internal compiler error: Segmentation fault"


Version-Release number of selected component (if applicable):
4.0.0 20050519 (Red Hat 4.0.0-8)

How reproducible:
Always

Steps to Reproduce:
use the dump option for generating control flow graph to compile the following code:

#include <stdio.h>

void main(void)
{
    int i = 1, j = 10, tmp = 100;
    char *pi =&i, *pj=&j;

    *((int*)pi)=*((int*)pj);
    printf("%x,%x\n", pi, pj);
    pj = ((int*)pj)+1;
    pi++;
    printf("%x,%x\n", pi, pj);

    printf("%d,%d,tmp=%d\n", i, j, tmp);
}
 

Additional info:

Comment 1 skyhover 2005-08-10 22:09:56 UTC
Created attachment 117625 [details]
This is the same code as above. 

For many other code, the dump option doesn't work either.

Comment 3 Jakub Jelinek 2005-08-17 21:52:49 UTC
Should be fixed in gcc-4.0.1-9.

Comment 4 skyhover 2005-09-01 08:30:32 UTC
I tried on gcc4 (GCC) 4.1.0 20050826, it works.
Thanks!



Note You need to log in before you can comment on or make changes to this bug.